<?php
define('GCMS',true);
require_once ('system/power.php');
$err = (int)$_GET['err'];
header('refresh: 6; url=/index.php');
switch($err) {
case 'error':
$diz -> head('Технический перерыв');
echo "\n" . '<style type="text/css">
body { text-align:center;
background-color: #BCD75F;}</style>';
echo '<img src="/styles/'.STYLE.'/graph/pereriv.png" alt="Технический перерыв" />';
echo "\n" . '</head><body>';
break;
case '404':
$diz -> head('Страница не найдена');
$diz -> title('Ресурс не найден');
$diz -> out('Проверьте правильность адреса ссылки!');
break;
case '401':
$diz -> head('Ошибка');
$diz -> title('Нет разрешения');
$diz -> out('Запрос требует установления подлинности пользователя');
break;
case '402':
$diz -> head('Ошибка');
$diz -> title('Payment Required');
$diz -> out('Payment Required');
break;
case '403':
$diz -> head('Ошибка доступа');
$diz -> title('Доступ Запрещен');
$diz -> out('Запрос отклонен по той причине, что сервер не хочет (или не имеет возможности) ответить клиенту');
break;
case '500':
$diz -> head('Сервер не отвечает');
$diz -> title('Внутренняя Ошибка Сервера!');
$diz -> out('Сервер столкнулся с обстоятельствами которые не могут выполнить ваш запрос!');
break;
default:
$diz -> head('Неизвестная ошибка');
$diz -> title('Неизвестная ошибка');
$diz -> out('Сервер столкнулся с обстоятельствами которые не могут выполнить ваш запрос!');
}
?>